Printago API
POST
/v1/profiles/preview
Preview profiles from a file
Response Schema
ProfilePreviewResult
bundleTyperequired
"printer" | "filament" | "presets"
printerfilamentpresets
profilesrequired
object
filamentrequired
object[]
coloroptional
string
existsInStorerequired
boolean
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
"process" | "filament" | "machine"
processfilamentmachine
machinerequired
object[]
coloroptional
string
existsInStorerequired
boolean
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
"process" | "filament" | "machine"
processfilamentmachine
processrequired
object[]
coloroptional
string
existsInStorerequired
boolean
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
"process" | "filament" | "machine"
processfilamentmachine
totalCountrequired
number
Example Response
201 OK — application/json
{
"bundleType": "printer",
"profiles": {
"machine": [
{
"name": "string",
"type": "process",
"inherits": "string",
"filamentType": "string",
"filamentVendor": "string",
"color": "string",
"existsInStore": true
}
],
"filament": [
{
"name": "string",
"type": "process",
"inherits": "string",
"filamentType": "string",
"filamentVendor": "string",
"color": "string",
"existsInStore": true
}
],
"process": [
{
"name": "string",
"type": "process",
"inherits": "string",
"filamentType": "string",
"filamentVendor": "string",
"color": "string",
"existsInStore": true
}
]
},
"totalCount": 1
}